## lacheck 1.26

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # No changes should be needed below
 
 # Remember to change when lacheck is updated.
-REV = 1.25
+REV = 1.26
 
 DISTFILES = lacheck.lex lacheck.man Makefile lacheck.c test.tex test.old \
 	lacheck.hlp make_vms.com
