=== debian/watch ===
version=3
http://mirrors.ctan.org/support/lacheck/lacheck-(.+)\.tar\.gz
